Issue 25891

Summary: Show changes: Implement the function of not showing deleted Text like Word does
Product: Writer Reporter: aes <frankben>
Component: codeAssignee: AOO issues mailing list <issues>
Status: CONFIRMED --- QA Contact:
Severity: Trivial    
Priority: P3 CC: issues, michael.cziebalski
Version: OOo 1.1Keywords: oooqa
Target Milestone: ---   
Hardware: PC   
OS: Linux, all   
Issue Type: ENHANCEMENT Latest Confirmation in: ---
Developer Difficulty: ---

Description aes 2004-02-26 10:41:49 UTC
When printing revised documents I need to identify changed lines with a vertical
bar beside the affected lines - I do not need to see the deleted text.

This could be done easily in StarOffice 5.2 by setting Changes-Record on and
Changes-Show off with Tools-Options-Text documents-Changes-Attributes all set to
[none] and Lines changed set to Right margin.

This configuration does not produce the revision bars in OO ver 1.1 - or has it
been intentionally deleted?
Comment 1 mci 2004-03-11 13:01:00 UTC
Hi frankben,

thanks for using and supporting OpenOffice...

Did you do the following:

Edit -> Changes -> Record needs to be selected
Edit -> Changes -> Show needs to be selected

cc'ed mci
Comment 2 mci 2004-03-22 10:54:04 UTC
Hi frankben,

I change this to an Enhancement wish since OOo works as designed...
Comment 3 mci 2004-03-22 11:16:01 UTC
changed Summary from
"lines revised side bars not behaving as expected"
to
"Show changes: Implement the function of not showing deleted Text like Word does"
Comment 4 ace_dent 2008-05-16 02:11:32 UTC
OpenOffice.org Issue Tracker - Feedback Request.

The Issue you raised is currently 'Unconfirmed' pending review, but has not been
updated within the last 3 years. Please consider re-testing with one of the
latest versions of OOo, as the problem(s) may have already been addressed.
Either use the recent stable version: http://download.openoffice.org/index.html
or consider trying the new OOo 3 BETA (still in testing):
http://download.openoffice.org/3.0beta/
 
Please report back the outcome so this Issue may be Closed or Progressed as
necessary - otherwise it may be Resolved as Invalid in the future. You may also
wish to search for (and note) any duplicates of this Issue that may have
advanced further by checking the Issue Tracker:
http://www.openoffice.org/issues/query.cgi
 
Many thanks,
Andrew
 
Cleaning-up and Closing old Issues as part of:
~ The Grand Bug Squash, pre v3 ~
http://marketing.openoffice.org/3.0/announcementbeta.html
Comment 5 ace_dent 2008-05-18 10:15:22 UTC
Thanks for valuable feedback (via prviate email):

" I loaded OO 3.0Beta and it is still faulty.
 
To reproduce the fault:
Tools > Options > OpenOffice Writer > Changes & set
Insertions Attributes to [None]
Insertions Color to [None]
Deletions Attributes to [None]
Deletions Color to [None]
Changed attributes Attributes to [None]
Changed attributes Color to [None]
Lines changed Mark to Left margin
Lines changed Color to Black
 
open any text document
 
then
Edit > Changes & set Record and Show on
 
then
delete some text
 
Left bar appears but text is not deleted (hidden) on the screen.  (It 
would re-appear of course if the change was rejected under 'accept or 
reject'.
 
This function worked fine on Star Office 5.1 and is the way Word behaves 
i.e. you can read a .doc file OK with this setting but you cannot write 
to or change it."
Comment 6 Joe Smith 2009-06-10 15:04:07 UTC
Possible duplicate of Issue 24845
Comment 7 bettina.haberer 2010-05-21 15:12:02 UTC
To grep the issues easier via "requirements" I put the issues currently lying on
my owner to the owner "requirements".